<?php
// +-----------------------------------------------------------------------+
// | Mod Name : BlobThumbnails                                             |
// | Mod Version : 1.3                                                     |
// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
// | Mod description :                                                     |
// | Ce module permet la copie de la vignette dans un champ blob           |
// | pour pouvoir la récupérer par CrystalReport                           |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

$BlobThumbnails = get_plugin_data($plugin_id);

global $template, $lang, $page, $prefixeTable;

$template->set_filenames(array('plugin_admin_content' => $BlobThumbnails->plugin_path.'template/BlobThumbnailsAdmin.tpl'));

if (isset($_POST['action'])) {  
  if ($_POST['action'] == 'update') {
    $query = '
  	  INSERT INTO '.$prefixeTable.'image_blobthumbnails(id, name, contents)
  	  SELECT id, name, contents FROM '.IMAGES_TABLE.'
  	  ;';
    pwg_query($query);
    if(mysql_error()) {
      array_push($page['errors'], mysql_errno().': '.mysql_error());
    } else {
      array_push($page['infos'], $lang['blobthumbnails_end_import']);
    }
  }
  
  if ($_POST['action'] == 'updateThumbnails') {
    $query = '
      SELECT id, name, file, path, tn_ext FROM '.IMAGES_TABLE.'
    ;';
    
    $result = pwg_query($query);
    $exts = array('pdf', 'PDF', 'xls', 'XLS', 'doc', 'DOC', 'pps', 'PPS', 'ppt', 'PPT', 'ai', 'AI', 'eps', 'EPS', 'wmv', 'WMV', 'wma', 'WMA', 'mpg', 'MPG', 'mpeg', 'MPEG');
    
    while ($row = mysql_fetch_array($result)) {
      $thumbnail = get_thumbnail_path($row);
      $filename = explode('.', $row['file']);
      
      if ($row['name'] == '') {
        $file = $filename[0];
        $ext = $filename[1];
      } else {
      	$file = $row['name'];
      	$ext = $filename[1];
      }
      
      if(!in_array($ext, $exts)) {      
        $handle = fopen($thumbnail, 'rb');
        $content = addslashes(fread($handle, filesize($thumbnail)));
        fclose ($handle);
                	
        $query = '
          INSERT INTO '.$prefixeTable.'image_blobthumbnails(id, name, contents) 
          VALUES('.$row['id'].', "'.$file.'", "'.$content.'")
          ON DUPLICATE KEY UPDATE
            id = \''.$row['id'].'\'

        ;';
      
        pwg_query($query);
      }  	      
    }
  }
}

$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>